## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           hedley
Summary:        A C/C++ header to help move #ifdefs out of your code
Version:        15
Release:        %autorelease

URL:            https://nemequ.github.io/%{name}/
Source0:        https://github.com/nemequ/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
License:        CC0

BuildRequires:  gcc-c++
BuildRequires:  make

%global common_description %{expand:
Hedley is a single C/C++ header you can include in your project to enable
compiler-specific features while retaining compatibility with all compilers. It
contains dozens of macros to help make your code easier to use, harder to
misuse, safer, faster, and more portable.

You can safely include Hedley in your public API, and it works with virtually
any C or C++ compiler.}

%description %{common_description}


%package devel
Summary:        %{summary}

Provides:       %{name}-static = %{version}-%{release}

%description devel %{common_description}


%prep
%autosetup


# No build section required for single-header library with single-header source


%install
install -d %{buildroot}%{_includedir}
install -t %{buildroot}%{_includedir} -p -m 0644 %{name}.h


%check
# As far as we can tell, the tests are intended to be used by compiling them,
# not by running the result. See .travis.yml.
%set_build_flags
%make_build -C test


%files devel
%license COPYING
%doc NEWS
%doc README.md

%{_includedir}/%{name}.h


%changelog
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 17 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-5
- Make compatible with EPEL7

* Sun Mar 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-4
- Revert “Provide both arched and unarched versions of hedley-static”

* Fri Mar 26 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-3
- Provide both arched and unarched versions of hedley-static

* Thu Mar 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-2
- Improved source URL (better tarball name)

* Thu Feb 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-1
- Initial package

